incubator-ivy-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xavier Hanin (JIRA)" <j...@apache.org>
Subject [jira] Commented: (IVY-501) unable to resolve snapshot versions
Date Sat, 12 May 2007 15:10:15 GMT

    [ https://issues.apache.org/jira/browse/IVY-501?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12495297
] 

Xavier Hanin commented on IVY-501:
----------------------------------

For some exaplanations about maven 2 SNAPSHOT versions, see this thread:
http://www.nabble.com/understanding-SNAPSHOT-versions-tf3731422s177.html

I propose that by default we deal with the two kind of versioning, and when we'll upgrade
Ivy to read maven metadata files (required for maven proxy compatibility for example, for
which there's already an issue opened), we will optimize this as well.

> unable to resolve snapshot versions
> -----------------------------------
>
>                 Key: IVY-501
>                 URL: https://issues.apache.org/jira/browse/IVY-501
>             Project: Ivy
>          Issue Type: Bug
>         Environment: jdk 1.5
>            Reporter: Jeffrey Blatttman
>            Priority: Blocker
>
> ivy cannot resolve maven2 "snapshot" versioning. i am actually unclear whether there
is some way to configure this to work, but the expectations is that if one sets m2compatible="true"
for the resolver, that the m2 snapshot versioning should just work without any other tweaks.
> i'd be glad to make this a lower priority than blocker if someone can explain the manual
configuration to make it work (i couldn't figure it out from the docs). 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message